List the provider-native subagents a task owns
curl --request GET \
--url https://api.runaether.dev/v1/tasks/{taskID}/subagents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/tasks/{taskID}/subagents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/tasks/{taskID}/subagents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subagents": [
{
"ambient": true,
"conversation_turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"is_backgrounded": true,
"native_task_id": "<string>",
"provider": "codex",
"started_at": "2023-11-07T05:31:56Z",
"status": "pending",
"task_type": "local_agent",
"tool_call_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"output_file": "<string>",
"spawn_depth": 2,
"subagent_type": "<string>",
"summary": "<string>",
"usage": {
"duration_ms": 1,
"tool_uses": 1,
"total_tokens": 1
}
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "org_membership_required",
"error": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Tasks
List the provider-native subagents a task owns
Claude Code Task agents, background shells and workflows, and Codex collab agents the task’s agent spawned. These are not Aether tasks: they have no workspace, branch, or pull request of their own.
GET
/
tasks
/
{taskID}
/
subagents
List the provider-native subagents a task owns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
OK
Show child attributes
Show child attributes